package polling_station_dashboard.java;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import javafx.stage.Stage;
import polling_station_dashboard.statusLog.java.StatusLogUpdate;
import polling_station_dashboard.settings.java.SettingsUpdate;

/**
 * Created by Vladimir Eliezer Tokarev on 28/05/2016.
 * PollingStationDashboardController controls the behavior of the polling station dashboard
 */
public class PollingStationDashboardController {

    private SettingsUpdate SettingsVisualUpdater;
    private StatusLogUpdate StatusLogVisualUpdater;
    private Stage currentStage;

    public void SetStage(Stage primaryStage)
    {
        this.currentStage = primaryStage;
    }

    public void SetSettingsVisualUpdater(SettingsUpdate settingsVisualUpdater)
    {
        this.SettingsVisualUpdater = settingsVisualUpdater;
    }

    public void SetStatusLogVisualUpdater(StatusLogUpdate statusLogVisualUpdater)
    {
        this.StatusLogVisualUpdater = statusLogVisualUpdater;
    }

    @FXML
    private void OnStatusLogPressed(MouseEvent mousePresed)
    {
        StatusLogVisualUpdater.UpdateStatusLog();
    }


    @FXML
    private void OnSettingsPressed()
    {
        SettingsVisualUpdater.UpdateSettings();
    }


    @FXML
    private void SearchTrigered(){

    }
}
